'use strict';

var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const RenderContent = ({ contentData, pageProps }) => {
    const { contentElementLayouts, contentElementTemplates } = pageProps;
    let template;
    if (contentElementTemplates.hasOwnProperty(contentData.type)) {
        template = contentElementTemplates[contentData.type](contentData, pageProps);
    }
    else if (contentElementTemplates.hasOwnProperty('__generic')) {
        template = contentElementTemplates.__generic(contentData, pageProps);
    }
    else {
        return React__default.default.createElement(React__default.default.Fragment, null,
            "CE-template not found: ",
            contentData.type,
            " ");
    }
    const Layout = contentElementLayouts[contentData.appearance.layout];
    return React__default.default.createElement(React__default.default.Fragment, { key: contentData.id },
        React__default.default.createElement(Layout, { data: contentData }, template));
}; //, args: _args

exports.RenderContent = RenderContent;
//# sourceMappingURL=RenderContent.js.map
