import React from 'react';

const RenderContent = ({ contentData, pageProps }) => {
    const { contentElementLayouts, contentElementTemplates } = pageProps;
    let template;
    if (contentElementTemplates.hasOwnProperty(contentData.type)) {
        template = contentElementTemplates[contentData.type](contentData, pageProps);
    }
    else if (contentElementTemplates.hasOwnProperty('__generic')) {
        template = contentElementTemplates.__generic(contentData, pageProps);
    }
    else {
        return React.createElement(React.Fragment, null,
            "CE-template not found: ",
            contentData.type,
            " ");
    }
    const Layout = contentElementLayouts[contentData.appearance.layout];
    return React.createElement(React.Fragment, { key: contentData.id },
        React.createElement(Layout, { data: contentData }, template));
}; //, args: _args

export { RenderContent };
//# sourceMappingURL=RenderContent.js.map
