import Page from './Templates/Page.js';
import { PageLayouts } from '../defaults/PageLayouts.js';
import { PageTemplates } from '../defaults/PageTemplates.js';
import { ContentElementLayouts } from '../defaults/ContentElementLayouts.js';
import { ContentElementTemplates } from '../defaults/ContentElementTemplates.js';
import React from 'react';

const TYPO3Page = (props) => {
    const _pageLayouts = Object.assign({}, PageLayouts, props.pageLayouts);
    const _pageTemplates = Object.assign({}, PageTemplates, props.pageTemplates);
    const _contentElementLayouts = Object.assign({}, ContentElementLayouts, props.contentElementLayouts);
    const _contentElementTemplates = Object.assign({}, ContentElementTemplates, props.contentElementTemplates);
    return React.createElement(Page, { headlessData: props.headlessData, pageLayouts: _pageLayouts, pageTemplates: _pageTemplates, contentElementLayouts: _contentElementLayouts, contentElementTemplates: _contentElementTemplates, additionalParams: props.additionalParams });
};

export { TYPO3Page as default };
//# sourceMappingURL=TYPO3Page.js.map
