import React from 'react';

const Page = (pageProps) => {
    let pageTemplate;
    if (pageProps.pageTemplates.hasOwnProperty(pageProps.headlessData.appearance.backendLayout)) {
        pageTemplate = pageProps.pageTemplates[pageProps.headlessData.appearance.backendLayout](pageProps);
    }
    else if (pageProps.pageTemplates.hasOwnProperty('__generic')) {
        pageTemplate = pageProps.pageTemplates.__generic(pageProps);
    }
    else {
        return React.createElement(React.Fragment, null,
            "Page-template not found: ",
            pageProps.headlessData.appearance.backendLayout,
            " ");
    }
    const Layout = pageProps.pageLayouts[pageProps.headlessData.appearance.layout];
    return React.createElement(Layout, { pageProps: pageProps, pageTemplate: pageTemplate });
};

export { Page as default };
//# sourceMappingURL=Page.js.map
